org.apache.felix.resolver

## Class WrappedCapability

- java.lang.Object
- - org.apache.felix.resolver.WrappedCapability

All Implemented Interfaces:
  org.osgi.resource.Capability, HostedCapability

    public class WrappedCapability
    extends Object
    implements HostedCapability

### Constructor Summary

Constructors
Constructor and Description
`WrappedCapability(org.osgi.resource.Resource host, org.osgi.resource.Capability cap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Map<String,Object>` `getAttributes()`
`org.osgi.resource.Capability` `getDeclaredCapability()` Return the Capability hosted by the Resource.
`Map<String,String>` `getDirectives()`
`String` `getNamespace()`
`org.osgi.resource.Resource` `getResource()` Return the Resource that hosts this Capability.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WrappedCapability

    public WrappedCapability(org.osgi.resource.Resource host,
                             org.osgi.resource.Capability cap)

### Method Detail

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `org.osgi.resource.Capability`
Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `org.osgi.resource.Capability`
Overrides:
  `hashCode` in class `Object`

#### getDeclaredCapability

    public org.osgi.resource.Capability getDeclaredCapability()

Description copied from interface: `HostedCapability`
Return the Capability hosted by the Resource.

Specified by:
  `getDeclaredCapability` in interface `HostedCapability`
Returns:
  The Capability hosted by the Resource.

#### getResource

    public org.osgi.resource.Resource getResource()

Description copied from interface: `HostedCapability`
Return the Resource that hosts this Capability.

Specified by:
  `getResource` in interface `org.osgi.resource.Capability`
Specified by:
  `getResource` in interface `HostedCapability`
Returns:
  The Resource that hosts this Capability.

#### getNamespace

    public String getNamespace()

Specified by:
  `getNamespace` in interface `org.osgi.resource.Capability`

#### getDirectives

    public Map<String,String> getDirectives()

Specified by:
  `getDirectives` in interface `org.osgi.resource.Capability`

#### getAttributes

    public Map<String,Object> getAttributes()

Specified by:
  `getAttributes` in interface `org.osgi.resource.Capability`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`